%define __libtoolize :

%define glib2_version 2.0.1

%define po_package libgtop-2.0

Name:		libgtop2
Summary:        libgtop library (version 2)
Version: 	2.0.0
Release:        3
License: 	LGPL
URL:            ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/libgtop
Group:          System Environment/Libraries
Source: 	libgtop-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib2 >= %{glib2_version}
BuildRequires:	glib2-devel >= %{glib2_version}

%description
libgtop is a library for portably obtaining information about processes, 
such as their PID, memory usage, etc.

%package devel
Summary: Libraries and include files for developing with libgtop.
Group: Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= %{glib2_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libgtop.

%prep
%setup -q -n libgtop-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## this isn't in the file list but we want to be really sure not to get 
## the dumb daemon
/bin/rm $RPM_BUILD_ROOT%{_bindir}/*

## the existence of libgnomesupport appears to be some total breakage
## (maybe the daemon used it?)
/bin/rm $RPM_BUILD_ROOT%{_libdir}/libgnomesupport*
/bin/rm -r $RPM_BUILD_ROOT%{_libdir}/libgtop/include

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang

%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/libgtop-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sat Jun 15 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- check file list, lose libgnomesupport

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- .la files evil

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- rebuild for glib 2.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.90.2

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- Initial build

